summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <urchlay@slackware.uk>2024-09-03 02:10:21 -0400
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-07 09:08:48 +0700
commit04882da446705d06bc7acd9986a67f936f8d61ff (patch)
treec66874c07f98ef214de70bdea615e2a0a600e53c
parent5a7df3eeddcdd02ae07d582c5a70aae92bbcc4d3 (diff)
downloadslackbuilds-04882da446705d06bc7acd9986a67f936f8d61ff.tar.gz
slackbuilds-04882da446705d06bc7acd9986a67f936f8d61ff.tar.xz
games/marathon-eternal-data: Updated for version 1.2.1, new maint.
Signed-off-by: B. Watson <urchlay@slackware.uk> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/marathon-eternal-data/marathon-eternal-data.SlackBuild61
-rw-r--r--games/marathon-eternal-data/marathon-eternal-data.info12
2 files changed, 36 insertions, 37 deletions
diff --git a/games/marathon-eternal-data/marathon-eternal-data.SlackBuild b/games/marathon-eternal-data/marathon-eternal-data.SlackBuild
index 0ee767d22e..f105911c5f 100644
--- a/games/marathon-eternal-data/marathon-eternal-data.SlackBuild
+++ b/games/marathon-eternal-data/marathon-eternal-data.SlackBuild
@@ -2,40 +2,28 @@
# Slackware build script for Marathon Eternal X
-# Copyright 2015, 2018 Hunter Sezen California, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Original author: Hunter Sezen.
+# Modified and now maintained by B. Watson <urchlay@slackware.uk>.
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20240902 bkw:
+# - new maintainer.
+# - relicense as WTFPL.
+# - update for v1.2.1 (latest stable).
+# - fix libpng warnings.
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=marathon-eternal-data
-VERSION=${VERSION:-1.1.0}
+VERSION=${VERSION:-1.2.1}
SRCVER=$(printf %s "$VERSION" | tr -d .)
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
ARCH=noarch
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -45,17 +33,17 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -eu
+set -e
# install gamedata in opt instead of usr
-if [ "${OPT:-0}" != 0 ]; then
+if [ "${OPT:-no}" != "no" ]; then
DATA='/opt/AlephOne'
else
DATA='/usr/share/AlephOne/gamedata'
fi
ZIPNAME=EternalX
-ZIPFILE=${ZIPNAME}v${SRCVER}Full.zip
+ZIPFILE=${ZIPNAME}v${SRCVER}.zip
WRAPPER=marathon-eternal
DATADIR=$PKG$DATA
@@ -69,8 +57,8 @@ chown -R root:root $DATADIR
# NB: the usual find predicate is different (zipfile stores +x permissions
# on some files for no good reason)
find $DATADIR \
- \( -type f -exec chmod 644 {} \; \) -o \
- \( -type d -exec chmod 755 {} \; \)
+ \( -type f -exec chmod 644 {} + \) -o \
+ \( -type d -exec chmod 755 {} + \)
# Write launcher script to the user's path
mkdir -p $PKG/usr/games
@@ -80,14 +68,14 @@ ALEPHONE_DATA="$DATA/Eternal $VERSION"
export ALEPHONE_DATA
exec alephone "\$@"
EOF
-find $PKG/usr/games -perm 644 -exec chmod 755 {} \;
+chmod +x $PKG/usr/games/$WRAPPER
# Write a desktop file
mkdir -p $PKG/usr/share/applications
cat > $PKG/usr/share/applications/$WRAPPER.desktop <<EOF
[Desktop Entry]
Name=Marathon Eternal X
-Exec=$WRAPPER
+Exec=/usr/games/$WRAPPER
Icon=alephone
Type=Application
Comment=Marathon Eternal X (first-person shooter game)
@@ -107,6 +95,17 @@ for script do
mv -- "$script-tmp" "$script"
done
+# 20240902 bkw: get rid of these warnings during gameplay:
+# libpng warning: iCCP: known incorrect sRGB profile
+# Unfortunately libpng doesn't say *which* png file it's bitching about.
+# It turns out, you can just grep for iCCP to find them. All but one
+# of the PNGs that have an iCCP chunk, have an invalid one... and if
+# you run 'mogrify' on such an image, it removes the iCCP chunk (though
+# it leaves it, if it's *not* "incorrect").
+# This would fail if any of the PNG images had spaces in the filenames.
+cd $DATADIR/Eternal\ $VERSION
+find . -name '*.png' | xargs grep -l iCCP | xargs mogrify
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/games/marathon-eternal-data/marathon-eternal-data.info b/games/marathon-eternal-data/marathon-eternal-data.info
index ea4226ce82..159e95a112 100644
--- a/games/marathon-eternal-data/marathon-eternal-data.info
+++ b/games/marathon-eternal-data/marathon-eternal-data.info
@@ -1,10 +1,10 @@
PRGNAM="marathon-eternal-data"
-VERSION="1.1.0"
-HOMEPAGE="http://eternal.bungie.org/index.php"
-DOWNLOAD="http://eternal.bungie.org/files/_releases/EternalXv110Full.zip"
-MD5SUM="9881140a7836c46869a3c985ce2c1709"
+VERSION="1.2.1"
+HOMEPAGE="https://eternal.bungie.org/index.php"
+DOWNLOAD="https://eternal.bungie.org/files/_releases/EternalXv121.zip"
+MD5SUM="7422240da8984e6cdc1006ba8c4680a3"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="alephone"
-MAINTAINER="Hunter Sezen"
-EMAIL="orbea@riseup.net"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"